$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.22.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.22.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CCA6F91036A052EF0D5FA8C08F991E9761F0F0FE12F8D1B29382CC1D624AC8B9'
  checksumType = 'sha256'
  checksum64 = 'CCA6F91036A052EF0D5FA8C08F991E9761F0F0FE12F8D1B29382CC1D624AC8B9'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.22-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
